Subject: Re: [PATCH 1/7] "git" calls help_unknown_cmd(""); "git help" and "git help -a" return 0

From: Scott Parish <[email-masked]>
Date: Sat, 27 Oct 2007 00:16:32 -0700

On Fri, Oct 26, 2007 at 04:03:48PM -0700, Junio C Hamano wrote:

> > Regarding "git: '' is not a git-command" the way i was seeing that
> > is that git is usually only called with commands, and '' isn't a
> > valid command, hence the reason to exit 1, the help is just a nice
> > user experience.
> 
> But think who would type "git<Enter>".  They are either people
> who (1) do not even know that "git" alone is not useful and that
> it always wants a subcommand, or (2) know "git<Enter>" is the
> same as "git help" and wants to get the "common command list"
> quickly.  Technically, "'' is not a git-command" is correct, but
> the message does not help either audience, does it?

Fair enough, i'll drop that in the updated patch set i'm about ready
to send. Incidentally i was also missing the "usage" string.

sRp

-- 
Scott Parish
http://srparish.net/